Bug 72825 - Add DISPLAYMANAGER to default /etc/sysconfig/desktop
Add DISPLAYMANAGER to default /etc/sysconfig/desktop
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
: 125255 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-08-28 03:32 EDT by Warren Togami
Modified: 2007-04-18 12:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-02 16:06:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-08-28 03:32:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
Request #1
Please add DISPLAYMANAGER to the default /etc/sysconfig/desktop.  I know this is
trivial for someone to add manually in order to choose kdm rather than gdm, but
this minor detail makes it easier for those who expected the old DESKTOP="KDE"
behavior.  They would open /etc/sysconfig/desktop, find the new option and
change that.  No more complaints.

Perhaps make the default file contain:

Request #2
Perhaps add #comments within /etc/sysconfig/desktop explaining what the two
options do.  Less confusion.

Request #3 - Long Term RFE
It would be nice to have a GUI toggle for DESKTOP and DISPLAYMANAGER somewhere
in a redhat-config-* tool.  Please consider this long term goal after this
release gets out the door.

Comment 1 Bill Nottingham 2002-08-30 18:53:22 EDT
These are currently commented in /usr/share/doc/initscripts-<version>/sysconfig.txt.

(And the documentation changed in 6.92-1.)
Comment 2 Jay Turner 2002-08-30 22:31:13 EDT
Documentation is present with initscripts-6.92-1.
Comment 3 Warren Togami 2002-08-31 02:54:28 EDT
Please can this be considered for adding to the default /etc/sysconfig/desktop
when it is created by Anaconda?  I know this is only a minor detail, but this
will keep people from complaining when they discover that DESKTOP="KDE" no
longer changes the login manager to kdm.

Please re-close if you disagree.  Sorry about the nitpicking.
Comment 4 Michael Schwendt 2002-08-31 11:05:26 EDT
I ran into this trap as well with (null), and I think it is a bug that the
installer writes DESKTOP=GNOME, when it should be DISPLAYMANAGER=GNOME. My
desktop is KDE.
Comment 5 Warren Togami 2002-08-31 16:55:32 EDT
Shouldn't /etc/sysconfig/desktop have both DISPLAYMANAGER and DESKTOP?  Both are
configurable and read by prefdm.
Comment 6 Michael Schwendt 2002-08-31 18:15:12 EDT
No, only $DISPLAYMANAGER is evaluated in /etc/X11/prefdm with current beta. Even
on Valhalla, $DESKTOP is sort of deprecated. Look:

    source /etc/sysconfig/desktop >/dev/null 2>&1
Comment 7 Michael Schwendt 2002-08-31 18:21:23 EDT
If the initscripts sysconfig.txt can be believed, $DESKTOP is used and probably
is evaluated somewhere else.

Nevertheless, DESKTOP=GNOME is certainly a bug when I chose KDE and even when
GNOME is pulled in due to dependencies. Then, when both KDE and GNOME get
installed, Red Hat may decide to use gdm and set DISPLAYMANAGER=GNOME, but
Comment 8 Chris Ricker 2002-09-01 00:24:27 EDT
While I think I agree with your remarks, mschwendt, something to keep in mind:  



(or vice-versa) in /etc/sysconfig/desktop is going to break badly, since a lot
of the xinit stuff still brokenly assumes that /etc/sysconfig/desktop only
contains one entry.  Look at /etc/X11/xinit/Xclients and
/etc/X11/xinit/xinitrc.d/xinput.  They both just do blind

if [ -n "`grep GNOME /etc/sysconfig/desktop`" ]; then start gnome
elif [ -n "`grep KDE /etc/sysconfig/desktop`" ]; then start kde

sorts of things, making it impossible to select a different default display
manager than default desktop....
Comment 9 Bill Nottingham 2002-09-02 00:14:15 EDT
kaboom: the totally broken code in Xclients has been fixed. It was broken
*before* the changes to prefdm, actually. :)
Comment 10 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 11 Bill Nottingham 2004-06-04 16:22:26 EDT
*** Bug 125255 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.